NEWSREQUEUE(8)

NAME
newsrequeue - tool to rewrite batchfiles.

SYNOPSIS
newsrequeue [ -a active ] [ -h history ] [ -d days ] [ -l ] [ -n newsfeeds ] [ input ]

DESCRIPTION

Newsrequeue can be used to rewrite batchfiles after a system crash. It operates in two modes. In the first mode, it first reads the active (5) and newsfeeds(5) files to determine where the different newsgroups are to be distributed. It then opens the history database. Once the files are opened, newsrequeue reads from the specified input file, or standard input if no file is specified. Each line should have a single Message-ID, surrounded in angle brackets; any other text on the line is ignored. For example, the history file (or trailing subset of it) is acceptable input to the program operating in this mode.

Newsrequeue uses the first two fields of the newsfeed entry — the sitename and the excludes field, and the patterns and distribs field (except for ``@''). It ignores all flags in the third field except for the ``N'' field, and also ignores the fourth field altogether.

The output of newsrequeue consists of one line for each article that should be forwarded. Each such line contains the Message-ID, the filename, and the list of sites that should receive the article. The output is suitable for piping into filechan(8).

The second mode is used if the ``-l'' flag is given. In this mode, it reads from the specified input file, or standard input if no file is specified. Each line should look like an innd log entry. It parses entries for accepted articles, looks up the Message-ID in the history database to get the filename, and then scans the list of sites. If ``storageapi'' in inn.conf(5) is turnd on, newsrequeue always runs this mode regardless of ``-l'' flag.

OPTIONS

-a  To specify alternate locations for the active file, use the ``-a'' flag.

-n  Use the ``-n'' flag to specify an alternate location for the newsfeeds(8) file.

-h  Use the ``-h'' flag to specify a different location for the history database,

-d  If the ``-d'' flag is used, then only articles that were received within the specified number of days will be processed.

-l  Read innd type log entries instead of a history-file like entries.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
active(5), ctlinnd(8), dbz(3), filechan(8), history(5), inn.conf(5), innd(8), newsfeeds(5), makeactive(8), makehistory(8).